%define major 3
%define libname %mklibname galago %major
%define develname %mklibname galago -d

Summary: Base library of Galago
Name: libgalago
Version: 0.5.2
Release: %mkrel 20
Source0: http://www.galago-project.org/files/releases/source/libgalago/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.galago-project.org/
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: gtk-doc
BuildRequires: gettext-devel

%description
This is the base library of the Galago desktop presence framework.

%package -n %libname
Group: System/Libraries
Summary: Base library of Galago - shared library
#gw for the translations
Requires: %name >= %version
#gw for the sharp bindings
Provides: galago%major = %version-%release

%description -n %libname
This is the base library of the Galago desktop presence framework.

%package -n %develname
Group: Development/C
Summary: Base library of Galago - headers
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: galago-devel = %version-%release
Obsoletes: %mklibname galago 3 -d

%description -n %develname
This is the base library of the Galago desktop presence framework.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%make_install MKINSTALLDIRS=`pwd`/mkinstalldirs
rm -rf %buildroot%_datadir/autopackage
%find_lang %name

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -f %name.lang
%doc AUTHORS NEWS

%files -n %libname
%_libdir/lib*.so.%{major}*

%files -n %develname
%doc ChangeLog 
%_libdir/lib*.so
%_libdir/pkgconfig/libgalago.pc
%_includedir/%name/
%_datadir/gtk-doc/html/libgalago


%changelog
* Sat Oct 31 2020 wally <wally> 0.5.2-20.mga8
+ Revision: 1641048
- drop unneeded autoreconf call

* Thu Feb 13 2020 umeabot <umeabot> 0.5.2-19.mga8
+ Revision: 1514099
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-18.mga7
+ Revision: 1298855
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.5.2-17.mga7
+ Revision: 1235638
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 0.5.2-16.mga6
+ Revision: 939310
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-15.mga5
+ Revision: 747920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-14.mga5
+ Revision: 681471
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-13.mga4
+ Revision: 506983
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.2-12.mga3
+ Revision: 357147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 15 2011 ahmad <ahmad> 0.5.2-11.mga1
+ Revision: 52032
- drop old/unneeded scriptlets
- don't ship .la
- imported package libgalago


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-10mdv2011.0
+ Revision: 602546
- rebuild

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.5.2-9mdv2010.1
+ Revision: 540031
- rebuild so that shared libraries are properly stripped again

* Thu Apr 22 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.5.2-8mdv2010.1
+ Revision: 537952
- dropped major from devel pkg name
  disabled static build

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-7mdv2010.1
+ Revision: 520788
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5.2-6mdv2010.0
+ Revision: 425545
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.5.2-5mdv2009.1
+ Revision: 351404
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2-4mdv2009.0
+ Revision: 222565
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2-3mdv2008.1
+ Revision: 150563
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2-2mdv2008.1
+ Revision: 148492
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Oct 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.2-1mdv2007.0
+ Revision: 73766
- New version 0.5.2
- import libgalago-0.5.1-3mdv2007.0

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-3mdv2007.0
- fix buildrequires

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.1-2mdv2007.0
- Rebuild with latest dbus

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2007.0
- update file list
- fix installation
- New release 0.5.1

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- new major
- New release 0.5.0

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-3mdk
- rebuild for new dbus
- use mkrel

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdk
- rebuild for new dbus

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdk
- new URL
- New release 0.3.3

* Sat Jun 18 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- description (Buchan)

* Fri Jun 17 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- add provides to the library package

* Fri Jun 17 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package

